<?php
/**
 * The template for displaying search results pages
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#search-result
 *
 * @package purenote
 */

get_header();

/**
 * hook - purenote_before_page_post_content
 *
 * @since 1.0.0
 */
do_action( 'purenote_before_page_post_content' );

?>

<div class="archive-page page-content-wrapper">

    <div class="purenote-container">

        <?php get_sidebar( 'left' ); ?>

        <main id="primary" class="site-main">

            <?php if ( have_posts() ) : ?>

                <header class="page-header">
                    <h1 class="page-title">
                        <?php printf(
                            esc_html__( 'Search Results for: %s', 'purenote' ),
                            '<span>' . get_search_query() . '</span>'
                        ); ?>
                    </h1>
                </header>

            <?php endif; ?>

            <?php echo '<div class="archive-content-wrapper">'; ?>

            <?php
            if ( have_posts() ) :

                while ( have_posts() ) :
                    the_post();
                    get_template_part( 'template-parts/content', 'search' );
                endwhile;

                the_posts_pagination();
                
                 echo '</div><!-- .archive-content-wrapper -->';

            else :

                get_template_part( 'template-parts/content', 'none' );

            endif;

         ?>

        </main><!-- #primary -->

        <?php get_sidebar(); ?>

    </div> <!-- .purenote-container -->

</div><!-- .page-content-wrapper -->

<?php
/**
 * hook - purenote_after_page_post_content
 *
 * @since 1.0.0
 */
do_action( 'purenote_after_page_post_content' );

get_footer();
